import { Component, Input } from '@angular/core';
import { ModalController } from '@ionic/angular';
@Component({
  selector: 'app-ceramic-details',
  templateUrl: './ceramic-details.page.html',
  styleUrls: ['./ceramic-details.page.scss'],
})
export class CeramicDetailsPage {
  @Input() title!: string; // 陶瓷名称
  @Input() description!: string; // 陶瓷介绍内容
  @Input() imageUrl!: string; // 陶瓷图片
  constructor(private modalController: ModalController) {}

  // 关闭模态框
  close() {
    this.modalController.dismiss();
  }
}